   Help for DFInfo

DFInfo is a Visual Basic custom control that gives convenient access to disk and file information.  VB programmers are able to read and modify miscellaneous information about files (date, time, size, etc.).  Information about the computer's drives is available through another set of properties.

Registration Information

Order Form

Getting Custom Controls Written

Disk Properties

File Properties


   Disk Properties

Here are the custom properties that the disk control of DFInfo supports:

ClusterSize

DefaultDrive

Disk

FreeClusters

FreeSpace

Network

NumFloppies

SectorSize

StartupDrive

TotalClusters

TotalSpace

VolumeName


K property; disk$ File Properties
   File Properties

Here are the custom properties that the file control of DFInfo supports:

FileDate

Filename

FileTime

IsArchived

IsHidden

IsReadOnly

IsSystem

Size


K property; file$ FileDate Property
FileDate Property

Description

Reads or set the date of the selected file.

Usage

[form.][dfinfo.]FileDate[ = date$]

Remarks

This property represents the date of the file sepecified by Filename.  This property is kept in the VB Date$ format (see your VB manuals for more information).  For example,  June 23, 1994 would be "06-23-1994".

When this property is set, the date of the file is changed.

This property is readable and writable at run-time only.

Data Type

String


Filename Property

Description

Determines the file that DFInfo reads/modifies.

Usage

[form.][dfinfo.]Filename[ = name$]

Remarks

This is the first property that you should set when dealing with files.  Set it to the name (and path, if needed) of the file.  If the file exists, all of the other properties will be set with the current information.  If not, Size will be set to -1.

This property is readable and writable at run-time only.

Data Type

String


FileTime Property

Description

Reads or set the time of the selected file.

Usage

[form.][dfinfo.]FileTime[ = time$]

Remarks

This property represents the date of the file sepecified by Filename.  This property is kept in the VB Time$ format (see your VB manuals for more information).  For example,  4:15pm would be "16:15:00".

When this property is set, the time of the file is changed.

This property is readable and writable at run-time only.

Data Type

String


IsArchived Property

Description

Reads, sets or clears the file's archive bit.

Usage

[form.][dfinfo.]IsArchived[ = bool]

Remarks

This property determines the archive bit of the file sepecified by Filename.  When this property is set, the archive bit of the file is changed to reflect the new value.

This property is readable and writable at run-time only.

Data Type

Boolean


IsHidden Property

Description

Reads, sets or clears the file's hidden bit.

Usage

[form.][dfinfo.]IsHidden[ = bool]

Remarks

This property determines the hidden bit of the file sepecified by Filename.  When this property is set, the hidden bit of the file is changed to reflect the new value.

This property is readable and writable at run-time only.

Data Type

Boolean


IsReadOnly Property

Description

Reads, sets or clears the file's read-only bit.

Usage

[form.][dfinfo.]IsReadOnly[ = bool]

Remarks

This property determines the archive bit of the file sepecified by Filename.  When this property is set, the read-only bit of the file is changed to reflect the new value.

This property is readable and writable at run-time only.

Data Type

Boolean


IsSystem Property

Description

Reads, sets or clears the file's system bit.

Usage

[form.][dfinfo.]IsSystem[ = bool]

Remarks

This property determines the archive bit of the file sepecified by Filename.  When this property is set, the system bit of the file is changed to reflect the new value.

This property is readable and writable at run-time only.

Data Type

Boolean


Size Property

Description

Reads or set the file's size.

Usage

[form.][dfinfo.]Size[ = size&]

Remarks

This property reads or sets the size of the file sepecified by Filename.  When this property is set, the size of the file is changed to reflect the new value.

This property is readable and writable at run-time only.

Data Type

Long


ClusterSize Property

Description

Number of sectors per cluster.

Usage

[form.][dfinfo.]ClusterSize[ = size&]

Remarks

This is the number of sectors in each cluster on the drive specified by the Disk property.  This property is read-only at run-time only.

Data Type

Long


DefaultDrive Property

Description

Drive letter of the current default drive.

Usage

[form.][dfinfo.]DefaultDrive[ =drive$]

Remarks

This is the drive letter of current default drive.  Setting this property changes the default drive to the drive letter specified.  This property is read/write at run-time only.

Data Type

String


Disk Property

Description

Drive letter of the disk to examine.

Usage

[form.][dfinfo.]Disk[ =drive$]

Remarks

This is the drive letter of drive to examine with the other properties (i.e., ClusterSize, FreeSpace, VolumeName, etc.).  This property is read/write at run-time only.

Data Type

String


FreeClusters Property

Description

Number of free clusters.

Usage

[form.][dfinfo.]FreeClusters[ = num&]

Remarks

This is the number of free clusters available on the drive specified by the Disk property.  This property is read-only at run-time only.

Data Type

Long


FreeSpace Property

Description

Number of free bytes.

Usage

[form.][dfinfo.]FreeSpace[ = num&]

Remarks

This is the number of free bytes available on the drive specified by the Disk property.  This property is read-only at run-time only.

Data Type

Long


Network Property

Description

Flag determining whether or not drive is local or on a network.

Usage

[form.][dfinfo.]Network[ = bool]

Remarks

If this property is True the drive, specified by the Disk property, is a network drive.  Otherwise, this drive is local.  This property is read-only at run-time only.

Data Type

Integer (boolean)


NumFloppies Property

Description

Number of floppy drives in the system.

Usage

[form.][dfinfo.]NumFloppies[ = num%]

Remarks

This property tells the number of floppy drives in this computer.  This property is read-only at run-time only.

Data Type

Integer


SectorSize Property

Description

Number of bytes in a sector.

Usage

[form.][dfinfo.]SectorSize[ = size&]

Remarks

This is the number of bytes per sector on the drive specified by the Disk property.  This property is read-only at run-time only.

Data Type

Long


StartupDrive Property

Description

Drive letter of the start-up (boot) drive.

Usage

[form.][dfinfo.]StartupDrive[ =drive$]

Remarks

This is the drive letter of the drive DOS booted from.  This property is read-only at run-time only.

Data Type

String


TotalClusters Property

Description

Total number of clusters on the drive.

Usage

[form.][dfinfo.]TotalClusters[ = num&]

Remarks

This is the total number of clusters on the drive specified by the Disk property.  This property is read-only at run-time only.

Data Type

Long


TotalSpace Property

Description

Total number of bytes on the drive.

Usage

[form.][dfinfo.]TotalSpace[ = size&]

Remarks

This is the total number of bytes on the drive specified by the Disk property.  This property is read-only at run-time only.

Data Type

Long


VolumeName Property

Description

Volume name of the drive.

Usage

[form.][dfinfo.]VolumeName[ = vol$]

Remarks

This is the volume name of the drive specified by the Disk property.  When this property is set, the volume name of the drive is changed.  This property is read/write at run-time only.

Data Type

String


    DFInfo Order Form

Use the Print Topic... command from the File menu to print this order form.

Mail this	James Shields

form to:	Mabry Software

Post Office Box 31926

Seattle, WA  98103-1926

Fax: 206-632-0272

CompuServe: 71231,2066

Internet: mabry@halcyon.com

MAKE CHECKS AND MONEY ORDERS OUT TO: James Shields

Where did you get this copy of DFInfo?

_______________________________________________________________

Ship to:	_______________________________________________________________

_______________________________________________________________

_______________________________________________________________

_______________________________________________________________

_______________________________________________________________

Phone:	_____________________________

Fax:	_____________________________

CompuServe:	_____________________________

Internet:	_____________________________

qty ordered	_____	REGISTRATION

$10 each, postpaid (check or money order in hard currency).  Foreign addressed add $2.00 shipping.  No additional shipping charges to Canada or Mexico.

qty ordered	_____	SOURCE CODE AND REGISTRATION

$35 each, postpaid  (check or money order in hard currency).  Foreign addresses add $5.00 shipping.  No additional shipping charge to Canada.


About DFInfo

IniCon was written by James Shields.  Inquiries can be sent to 71231,2066 on CompuServe, or mabry@halcyon.com on Internet.  If you must send something via U.S. Mail, the address is:

James Shields

Mabry Software

P.O. Box 31926

Seattle, WA  98103-1926

You can register this program by sending $15 ($20 for international orders) and your address.  CompuServe members may register by sending $10 and their account number (the registered version will be E-mailed to you).  CompuServe members may also register this package by going to the SWREG forum.  DFInfo is registered there.  DFInfo 's registration ID number is 1069.

If you need source code, you can get it by sending $35 ($40 for international) and your address.  Once again, CompuServe members may register by sending $30 and their account number (the registered version will be E-mailed to you).  CompuServe members get source code in the SWREG forum.  The registration ID number is 1070.

(C) Copyright 1993 by James Shields


Getting Custom Controls Written

If you or your organization would like to have custom controls written, contact either me or Zane Thomas (co-author of the Waite Group's VB How-To, 2nd Edition).  Here's how we can be reached:

James Shields

CompuServe: 71231,2066

US Mail: P.O. Box 31926; Seattle, WA 98103-1926

Zane Thomas:

CompuServe: 72060,3327

US Mail: P.O. Box 300; Indianola, WA  98342